<?php

namespace Slovocast\Infrastructure\Api\File;

interface FileHandlerInterface
{
    /**
     * Persists a file in a specific location.
     */
    public function save(string $path): bool;

    /**
     * Opens a file as a string buffer
     */
    public function open(string $path): string;

    /**
     * Moves a file from one location to another
     */
    public function move(string $source, string $destination): bool;
}
